//Example 9-5. Przykładowy program ch4_qt.cpp, który pobiera jeden
// argument wskazujący plik wideo. Plik ten będzie odtwarzany w 
// zdefiniowanym przez nas obiekcie Qt o nazwie QMoviePlayer
//
#include <QApplication>
#include <QLabel>
#include <QMoviePlayer.hpp>
#include <iostream>

using namespace std;

int main( int argc, char* argv[] ) {
  cout << "\n\nListing 9.5. Przykładowy program ch4_qt.cpp, który pobiera jeden"
       << "\nargument wskazujący plik wideo. Plik ten będzie odtwarzany w "
       << "\nzdefiniowanym przez nas obiekcie Qt o nazwie QMoviePlayer."
       << "\nWywołanie:\n" << argv[0] << " <path/movie>"
       << "\nListing:\n" << argv[0] << " ../tree.avi\n" << endl;
  if(argc != 2)
    return -1;
  
  QApplication app( argc, argv );
  QMoviePlayer mp;
  mp.open( argv[1] );
  mp.show();
  return app.exec();
}
